Loading...
Searching...
No Matches
filter_audio.c File Reference
`#include <inttypes.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <libavutil/channel_layout.h>`
`#include <libavutil/md5.h>`
`#include <libavutil/mem.h>`
`#include <libavutil/opt.h>`
`#include <libavutil/samplefmt.h>`
`#include <libavfilter/avfilter.h>`
`#include <libavfilter/buffersink.h>`
`#include <libavfilter/buffersrc.h>`

Go to the source code of this file.

## Macros

#define | INPUT_SAMPLERATE 48000
#define | INPUT_FORMAT AV_SAMPLE_FMT_FLTP
#define | INPUT_CHANNEL_LAYOUT (AVChannelLayout)AV_CHANNEL_LAYOUT_5POINT0
#define | VOLUME_VAL 0.90
#define | FRAME_SIZE 1024

## Functions

static int | init_filter_graph (AVFilterGraph **graph, AVFilterContext **src, AVFilterContext **sink)
static int | process_output (struct AVMD5 *md5, AVFrame *frame)
static int | get_input (AVFrame *frame, int frame_num)
int | main (int argc, char *argv[])

## Macro Definition Documentation

## INPUT_SAMPLERATE

#define INPUT_SAMPLERATE 48000

Examples
  filter_audio.c.

Definition at line 54 of file filter_audio.c.

## INPUT_FORMAT

#define INPUT_FORMAT AV_SAMPLE_FMT_FLTP

Examples
  filter_audio.c.

Definition at line 55 of file filter_audio.c.

## INPUT_CHANNEL_LAYOUT

#define INPUT_CHANNEL_LAYOUT (AVChannelLayout)AV_CHANNEL_LAYOUT_5POINT0

Examples
  filter_audio.c.

Definition at line 56 of file filter_audio.c.

## VOLUME_VAL

#define VOLUME_VAL 0.90

Examples
  filter_audio.c.

Definition at line 58 of file filter_audio.c.

## FRAME_SIZE

#define FRAME_SIZE 1024

Examples
  filter_audio.c.

## Function Documentation

## init_filter_graph()

static int init_filter_graph | ( | AVFilterGraph ** | graph,
|  | AVFilterContext ** | src,
|  | AVFilterContext ** | sink
| ) |  |

static

Examples
  filter_audio.c.

Definition at line 60 of file filter_audio.c.

Referenced by main().

## process_output()

static int process_output | ( | struct AVMD5 * | md5,
|  | AVFrame * | frame
| ) |  |

static

Examples
  filter_audio.c.

Definition at line 212 of file filter_audio.c.

Referenced by main().

## get_input()

static int get_input | ( | AVFrame * | frame,
|  | int | frame_num
| ) |  |

static

Examples
  filter_audio.c.

Definition at line 239 of file filter_audio.c.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 267 of file filter_audio.c.